import Exir from "../../ui";
import TodoList from "./TodoList";
import {randomId} from "../../ui/util";

export default function App() {
    const [count, setCount] = this.useState(0);
    this.useEffect(()=>{
        console.log('Effect', count)
    })
    return <div className="container-fluid" style={{margin: 'auto', textAlign: 'center'}}>
        Todo Example {count}
        <button onClick={function(){setCount(count+1)}}>AddCount</button>
        <TodoList/>
    </div>
}

/*Exir.createComponent('App', {
    render() {
        return <div style={{margin: 'auto', textAlign: 'center'}}>
            Todo Example
            <TodoList/>
        </div>
    }
})
*/